<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structarp__ol__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>arp_ol_cfg_t</compoundname>
    <includes local="no">cy_lpa_wifi_arp_ol.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structarp__ol__cfg__t_1a6e087be3912880808303389ae172ab1d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpa__macros__arp_1gada8697659aab30a6184c3a470422a97e">arp_ol_enable_mask_t</ref></type>
        <definition>arp_ol_enable_mask_t arp_ol_cfg_t::awake_enable_mask</definition>
        <argsstring />
        <name>awake_enable_mask</name>
        <briefdescription>
<para>Enable mask for AWAKE state <ref kindref="member" refid="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46ac8714ff185b1782df0c4742c5fb519f8">ARP_OL_STATE_AWAKE</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="137" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="137" />
      </memberdef>
      <memberdef id="structarp__ol__cfg__t_1a4dabc5de5277f083633155e218e6e67c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpa__macros__arp_1gada8697659aab30a6184c3a470422a97e">arp_ol_enable_mask_t</ref></type>
        <definition>arp_ol_enable_mask_t arp_ol_cfg_t::sleep_enable_mask</definition>
        <argsstring />
        <name>sleep_enable_mask</name>
        <briefdescription>
<para>Enable mask for SLEEP state <ref kindref="member" refid="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46a36492e74f2221d98a341c8f90eb475a3">ARP_OL_STATE_GOING_TO_SLEEP</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="138" />
      </memberdef>
      <memberdef id="structarp__ol__cfg__t_1a9dd6b07a43c9a15596db5c35d9c3cce1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t arp_ol_cfg_t::peerage</definition>
        <argsstring />
        <name>peerage</name>
        <briefdescription>
<para>ARP table entry expiration time in seconds (Device ARP cache) <ref kindref="member" refid="group__group__lpa__macros__arp_1gaee6b33e6db34432f276284bd02e7ac1c">CY_ARP_OL_DEFAULT_PEERAGE_VALUE</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="139" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="139" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ARP Offload configuration. </para>    </briefdescription>
    <detaileddescription>
<para>NOTE: There may be multiple configurations - one per BSS interface WWD_STA_INTERFACE, WWD_AP_INTERFACE, WWD_P2P_INTERFACE, WWD_ETHERNET_INTERFACE </para>    </detaileddescription>
    <location bodyend="140" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="136" />
    <listofallmembers>
      <member prot="public" refid="structarp__ol__cfg__t_1a6e087be3912880808303389ae172ab1d" virt="non-virtual"><scope>arp_ol_cfg_t</scope><name>awake_enable_mask</name></member>
      <member prot="public" refid="structarp__ol__cfg__t_1a9dd6b07a43c9a15596db5c35d9c3cce1" virt="non-virtual"><scope>arp_ol_cfg_t</scope><name>peerage</name></member>
      <member prot="public" refid="structarp__ol__cfg__t_1a4dabc5de5277f083633155e218e6e67c" virt="non-virtual"><scope>arp_ol_cfg_t</scope><name>sleep_enable_mask</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>